gwyddion(1)

NAME

gwyddion -- SPM data visualization and analysis program

SYNOPSIS

gwyddion [OPTION]... [FILE]...

DESCRIPTION

Gwyddion is a graphical SPM (Scanning Probe Microscope) data visualization and analysis program, using Gtk+.

OPTIONS

The program accepts all standard Gtk+, Gdk, and GtkGLExt options like --display or --sync. Please see documentation of these packages for description of toolkit options.

The behaviour of the --remote-* commands is undefined when more than one instance of Gwyddion is running on the display. They can choose arbitrary of them to interact with.

Gwyddion options:

-h, --help
    Prints a brief help and terminates.

-v, --version
    Prints version information and terminates.

--no-splash
    Disables splash screen on program startup.

--remote-new
    Opens files given on the command line in an already running instance of Gwyddion on the display. Runs a new instance if none is running.

--remote-existing
    Opens files given on the command line in an already running instance of Gwyddion on the display. Fails if none is running.

--remote-query
    Succeeds if an instance of Gwyddion is already running on the display and prints its window id. Fails if none is running.

--check
    Instead of running the user interface and opening FILEs, loads the files, performs a sanity check on them (printing errors to standard error output) and terminates.

--debug-objects
    Prints list of objects created during run time, with creation and desctruction times or reference counts on program exit. Useful only for developers.

--startup-time
    Prints wall-clock time taken by various startup (and shutdown) tasks. Useful only for developers and people going to complain about too slow startup.

ENVIRONMENT

GWYDDION_DATADIR
    Data directory where resources were installed. If not set, it defaults to compiled-in value of ${datadir}.

GWYDDION_LIBDIR
    Library directory where modules were installed. If not set, it defaults to compiled-in value of ${libdir}.

GWYDDION_LIBEXECDIR
    Libexec directory where plug-ins were installed. If not set, it defaults to compiled-in value of ${libexecdir}.

GWYDDION_LOCALEDIR
    Locale distrectory where translations were installed. If not set, it defaults to compiled-in value of ${datadir}/locale.

FILES

~/.gwyddion/settings
    Saved user settings and tool states. Don't edit when Gwyddion is running, it will overwrite it at exit.

~/.gwyddion/glmaterials, ~/.gwyddion/gradients, ...
    User directories with various resources (OpenGL materials, color gradients, ...).

$GWYDDION_DATADIR/gwyddion/glmaterials, ...
    The same for system-wide resources.

~/.gwyddion/pixmaps
    Directory to place user icons to. This is mainly useful for installation of modules to home.

$GWYDDION_DATADIR/gwyddion/pixmaps
    The same for system-wide pixmaps.

~/.gwyddion/modules
    Directory to place user modules to. They should be placed into file, graph, process, layer, and tools subdirectories according to their kind, though this is more a convention than anything else.

$GWYDDION_LIBDIR/gwyddion/modules
    The same for system-wide modules.

~/.gwyddion/plugins
    Directory to place user plug-ins to. They should be placed into file and process subdirectories according to their kind.

$GWYDDION_LIBEXECDIR/gwyddion/plugins
    The same for system-wide plug-ins.

SEE ALSO

gxsm(1).